function p.start_use(gun, primary)
    --Could do more.
    p.try_shoot(gun, primary)
end

function p.end_use()
    --Could do something.
end

function p.update()
    --Could do something.
    --Have the be called from "top.lua".
end

--For shooting a weapon.
function p.try_shoot(gun, primary)
    --Using the use object, if it exists.
    if ga_use_object_exists() then
        -- if( ga_win_mouse_down(false) ) then
        if( primary ) then
            ga_command("use")
        else
            --The use object exists and the player is
            --holding down the right mouse.
            ga_command("use2")
            return
        end
    end

    --Could do more
end
